PDA

View Full Version : Which is better for an Emac:Tiger or Leopard?




riker1384
Jan 11, 2008, 05:34 PM
I have an Emac. I'm angry because the Ipods don't work with Panther. I don't think it's worth upgrading the OS, but if I was, which one would I want? Mine is 1Ghz and 768 MB so it meets the requirements for 10.5, but would it run better with 10.4?



Eidorian
Jan 11, 2008, 05:36 PM
I would help to know more specifications on this eMac. I have a feeling you're going to want Tiger.

bluedoggiant
Jan 11, 2008, 11:15 PM
Tiger

nout72
Jan 12, 2008, 05:04 AM
Tiger.

I've read many complaints about Leopard's sluggish performance on PPC Macs, both G4s and G5s.

Father Jack
Jan 12, 2008, 05:05 AM
I too would think that Tiger would be best.

andrewag
Jan 12, 2008, 05:28 AM
Since eMac have all had G4 processors and are above 700MHz it's pretty safe to recommend Tiger. Leopard would be pushing it but does run alright on 1.5GHz Mac mini so some of the later eMac computers would be alright.

Dimwhit
Jan 12, 2008, 11:04 AM
I'll throw my opinion behind Tiger. We have Tiger on an G4 800MHz eMac, and it works fine.

NotMyron
Nov 3, 2008, 09:09 PM
I too am soldiering-on with a five-or-so year old eMac and thought it could not run an OS newer than 10.3.9. This is good news. It's slow, but otherwise seems to handle moderately intensive graphics projects okay, even with it's modest 1GB max RAM, like an old VW I used to have!

hudm
Jan 2, 2009, 05:34 PM
I just upgraded to Leopard 10.5 on our eMac 1.42 GHz 2005 G4 It seems to be working fine, except booting up is slower. This may not be because of the Leopard upgrade. Not sure. Could be the new HD I just put in too. I upgraded because my old Tiger disks had errors, and I didn't have the back up. Also a friend recommended that the upgrade was worth it if I could afford it, so I went for it.

OnaMacSince1989
Mar 9, 2009, 12:37 PM
Is anyone successfully using OSX Leopard 10.5.6 on an eMac G4 1.0GHz with 1GB RAM?

My parents have the above described eMac model, which is currently running on 10.3.9. It currently has 512MB RAM (two 256MB sticks), and I've ordered two 512MB sticks to upgrade it to to 1GB RAM total. I'd like to install the MacBoxSet on to their eMac, which includes 10.5.6, iLife 09 and iWork 09 (they currently have the iLife suite that came with the eMac in May 2003 and MS Office X). They primarily use their computer for email, internet, iPhoto, and a few games like Eric's Ultimate Solitaire and Hoyle Card Games, nothing too intensive.

Any user feedback is appreciated. :apple:

iHavenolife
Mar 9, 2009, 12:56 PM
I have a 700mhz eMac with 512mb ram running 10.5.6 ... yes it moves slow, and you cant do more than two or 3 things at a time on it.. Tiger is better for an eMac.

trip1ex
Mar 9, 2009, 01:16 PM
1ghz G4 emac with 640mb ram & Leopard here. Runs fine.

OnaMacSince1989
Mar 9, 2009, 03:47 PM
Thanks for the feeback!! :)

dentedG4
Mar 9, 2009, 03:57 PM
I am running Tiger on my Powerbook G4 with very similar specs to your emac. I had Panther and when I switched to Tiger, the jump in performance was noticeable. I would recommend it!

thingsis
Mar 10, 2009, 02:46 AM
1ghz G4 emac with 640mb ram & Leopard here. Runs fine.
I had the same setup till a couple of weeks ago - now I am on my whitebook :D . When I switched from Tiger to Leopard I noticed a longer startup, but general performance was not any worse. I would say Leopard is the one - just because new software will work and be compatible.

Thingsis

OnaMacSince1989
Mar 10, 2009, 01:18 PM
Thanks again for the feedback. It sounds like the eMac will perform fine with Leopard.

Since I want the folks to be able to use iLife 09, I think Leopard is the only option anyway. I don't think it's compatible with Tiger 10.4.

bdj33ranch
Mar 10, 2009, 02:15 PM
My nephew has my old eMac and it seems to be working fine for him. It is the 1.25Ghz version. 1Gb RAM. Has iLife 08 (you need to downgrade the iDVD portion though to iDVD 06) and iTunes 8.0. Also has MS Office 2006. If I was to set it all up again though I would probably have done a 'custom' install and not put in all the printer and language modules.

Oh - it has Leopard.